Bug 83919 - GC activity timer should be tied to allocation, not collection
: GC activity timer should be tied to allocation, not collection
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: JavaScriptCore
: 528+ (Nightly build)
: Unspecified Unspecified
: P2 Normal
Assigned To: Mark Hahnenberg
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-13 11:10 PDT by Mark Hahnenberg
Modified: 2012-04-18 11:16 PDT (History)
3 users (show)

See Also:


Attachments
Patch (12.25 KB, patch)
2012-04-17 14:34 PDT, Mark Hahnenberg
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Hahnenberg 2012-04-13 11:10:50 PDT
Currently we schedule our GCActivityCallback timer at the end of a collection. This is not an accurate picture of small amounts of allocation, which is the timer's purpose in the first place. This can cause some extra unnecessary full GCs as well as wasting some memory if we haven't done a collection recently. We should move the scheduling to the allocation slow path, which would mostly mitigate these issues.
Comment 1 Mark Hahnenberg 2012-04-17 14:34:33 PDT
Created attachment 137606 [details]
Patch
Comment 2 Geoffrey Garen 2012-04-17 17:38:16 PDT
Comment on attachment 137606 [details]
Patch

r=me
Comment 3 WebKit Review Bot 2012-04-18 09:18:50 PDT
Comment on attachment 137606 [details]
Patch

Clearing flags on attachment: 137606

Committed r114511: <http://trac.webkit.org/changeset/114511>
Comment 4 WebKit Review Bot 2012-04-18 09:18:54 PDT
All reviewed patches have been landed.  Closing bug.
Comment 5 Mark Hahnenberg 2012-04-18 11:16:08 PDT
<rdar://problem/11130716>